<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/*
 * Language Translation for the Ecncrypted Files
 */
function wpcsr_activate_license_message(){
	return sprintf( 
		'%s <a href="%s" title="%s">%s</a>',
		__('Please activate your license key', 'wpcargo-shipment-rate'),
		admin_url().'admin.php?page=wptaskforce-helper',
		__('WPCargo license page', 'wpcargo-shipment-rate'),
		__('here', 'wpcargo-shipment-rate')
	);
}
function wpcsr_page_label(){
    return apply_filters( 'wpcsr_page_label', __('Page', 'wpcargo-shipment-rate' ) );
}
function wpcsr_request_order_message_label(){
	return __('Request Order', 'wpcargo-shipment-rate' );
}
function wpcsr_request_order_error_message_no_rate(){
	return __( "Cannot find rate in your request. Please try again.", 'wpcargo-shipment-rate' );
}
function wpcsr_order_created_message_label(){
	return __('Order created dynamically - ', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_message(){
	return __('The Following errors exist during import process.', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_update_message(){
	return __('Failed to update', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_save_message(){
	return __('Failed to save', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_in_location_message(){
	return __('Not exist in the Locations', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_in_zone_message(){
	return __('Not exist in the Zones', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_in_delivery_message(){
	return __('Not exist in the Delivery Types', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_data_exist_message(){
	return __('Already exist', 'wpcargo-shipment-rate' );
}
function wpcsr_import_error_no_change_message(){
	return __('No data to update', 'wpcargo-shipment-rate' );
}
function wpcsr_shipping_rates_label(){
	return __('Shipment Rates', 'wpcargo-shipment-rate' );
}
function wpcsr_zones_label(){
	return __('Zones', 'wpcargo-shipment-rate' );
}
function wpcsr_locations_label(){
	return __('Locations', 'wpcargo-shipment-rate' );
}
function wpcsr_delivery_type_label(){
	return __('Delivery Types', 'wpcargo-shipment-rate' );
}
function wpcsr_delivery_type_header_label(){
	return __('Delivery Type', 'wpcargo-shipment-rate' );
}
function wpcsr_delivery_information_label(){
    return apply_filters( 'wpcsr_delivery_information_label', __('Delivery Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_user_group_label(){
    return apply_filters( 'wpcsr_user_group_label', __('User Group', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipping_rate_settings_label(){
	return __( 'Shipping Rate Settings', 'wpcargo-shipment-rate' );
}
function wpcsr_rate_settings_label(){
	return __('Rate Settings', 'wpcargo-shipment-rate' );
}
function wpcsr_parcel_details_label(){
    return apply_filters( 'wpcsr_parcel_details_label', __('Parcel Details', 'wpcargo-shipment-rate' ) );
}
function wpcsr_order_label(){
    return apply_filters( 'wpcsr_order_label', __('Order', 'wpcargo-shipment-rate' ) );
}
function wpcsr_order_status_label(){
    return apply_filters( 'wpcsr_order_status_label', __('Order Status', 'wpcargo-shipment-rate' ) );
}
function wpcsr_order_details_label(){
    return apply_filters( 'wpcsr_order_details_label', __('Order Details', 'wpcargo-shipment-rate' ) );
}
function wpcsr_payment_via_label(){
    return apply_filters( 'wpcsr_payment_via_label', __('Payment via', 'wpcargo-shipment-rate' ) );
}
function wpcsr_save_settings_label(){
	return __('Save Settings', 'wpcargo-shipment-rate');
}
function wpcsr_no_order_created_label(){
	return __('No Order created for this shipment', 'wpcargo-shipment-rate' );
}
function wpcsr_shipment_variation_label(){
	return apply_filters( 'shipment_variation_label', __('Shipment', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_id_variation_label(){
	return __('ShipmentID', 'wpcargo-shipment-rate' );
}
function wpcsr_service_variation_label(){
    return apply_filters( 'wpcsr_service_label', __('Service', 'wpcargo-shipment-rate' ) );
}
function wpcsr_weight_variation_label(){
	return apply_filters( 'wpcsr_weight_label', __('Weight', 'wpcargo-shipment-rate' ) );
}
function wpcsr_min_weight_variation_label(){
	return __('Min Weight', 'wpcargo-shipment-rate' );
}
function wpcsr_max_weight_variation_label(){
	return __('Max Weight', 'wpcargo-shipment-rate' );
}
function wpcsr_min_qty_variation_label(){
	return __('Min Qty.', 'wpcargo-shipment-rate' );
}
function wpcsr_max_qty_variation_label(){
	return __('Max Qty.', 'wpcargo-shipment-rate' );
}
function wpcsr_logo_label(){
	return __('Logo', 'wpcargo-shipment-rate' );
}
function wpcsr_rate_type_variation_label(){
	return __('Rate Type', 'wpcargo-shipment-rate' );
}
function wpcsr_cost_breakdown_variation_label(){
	return apply_filters( 'wpcsr_cost_breakdown_variation_label', __('Cost Breakdown', 'wpcargo-shipment-rate' ) );
}
function wpcsr_weight_cost_variation_label(){
	return __('Exceeding Cost After Min Weight', 'wpcargo-shipment-rate' );
}
function wpcsr_rate_type_weight_cost_label(){
	return __('Cost per Weight', 'wpcargo-shipment-rate');
}
function wpcsr_rate_type_qty_cost_label(){
	return __('Cost per Qty.', 'wpcargo-shipment-rate');
}
function wpcsr_rate_type_flat_label(){
	return __('Flat Rate', 'wpcargo-shipment-rate');
}
function wpcsr_zone_variation_label(){
    return apply_filters( 'wpcsr_zone_label', __('Zone', 'wpcargo-shipment-rate' ) );
}
function wpcsr_rate_variation_label(){
	return __('Cost', 'wpcargo-shipment-rate' );
}
function wpcsr_protection_label(){
	return __('Insurance', 'wpcargo-shipment-rate' );
}
function wpcsr_protection_coverage_label(){
    return apply_filters( 'wpcsr_protection_coverage_label', __('Insurance Coverage', 'wpcargo-shipment-rate' ) );
}
function wpcsr_protection_variation_label(){
	return apply_filters( 'wpcsr_including_insurance_label', __('Including Insurance', 'wpcargo-shipment-rate' ) );
}
function wpcsr_no_protection_label(){
    return apply_filters( 'wpcsr_without_insurance_label', __('Without Insurance', 'wpcargo-shipment-rate' ) );
}
function wpcsr_price_variation_label(){
	return __('Price', 'wpcargo-shipment-rate' );
}
function wpcsr_book_now_label(){
	return apply_filters( 'wpcsr_book_now_label', __('Book Now', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_protection_label(){
	return __('With Insurance', 'wpcargo-shipment-rate');
}
function wpcsr_shipment_protection_no_label(){
	return __('No', 'wpcargo-shipment-rate');
}
function wpcsr_shipment_protection_yes_label(){
	return __('Yes', 'wpcargo-shipment-rate');
}
function wpcsr_shipping_fee_label(){
	return __('Shipping FEE', 'wpcargo-shipment-rate' );
}
function wpcsr_dashboard_label(){
	return __('Dashboard', 'wpcargo-shipment-rate' );
}
function wpcsr_no_found_query_label(){
	return __("Can't find rate from your query.", 'wpcargo-shipment-rate' );
}
function wpcsr_location_id_label(){
	return __('locationID', 'wpcargo-shipment-rate' );
}
function wpcsr_zone_id_label(){
	return __('zoneID', 'wpcargo-shipment-rate' );
}
function wpcsr_wpcsr_id_label(){
	return __('wpcsrID', 'wpcargo-shipment-rate' );
}
function wpcsr_delivery_id_label(){
	return __('deliveryID', 'wpcargo-shipment-rate' );
}
function wpcsr_name_label(){
	return __('Label', 'wpcargo-shipment-rate' );
}
function wpcsr_slug_label(){
	return __('Slug', 'wpcargo-shipment-rate' );
}
function wpcsr_rate_name_label(){
    return apply_filters( 'wpcsr_rate_name_label', __('Rate Name', 'wpcargo-shipment-rate') );
}
function wpcsr_origin_label(){
	return apply_filters( 'wpcsr_origin_label', __('Origin', 'wpcargo-shipment-rate') );
}
function wpcsr_select_destination_label(){
    return apply_filters( 'wpcsr_select_destination_label', __('Select Destination', 'wpcargo-shipment-rate') );
}
function wpcsr_destination_label(){
    return apply_filters( 'wpcsr_destination_label', __('Destination', 'wpcargo-shipment-rate') );
}
function wpcsr_data_process_label(){
	return __('Data Processed', 'wpcargo-shipment-rate');
}
function wpcsr_delivery_desc_label(){
	return apply_filters( 'wpcsr_description_label', __('Description', 'wpcargo-shipment-rate' ) );
}
function wpcsr_file_header_error_label(){
	return __( 'Found wrong file header format, Please download the import template.', 'wpcargo-shipment-rate' );
}
function wpcsr_file_format_error_label(){
	return __( 'Wrong file upload format, it must .csv format', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_0_label(){
	return __('There is no error, the file uploaded with success.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_1_label(){
	return __('The uploaded file exceeds the upload_max_filesize directive in php.ini.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_2_label(){
	return __('The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_3_label(){
	return __('The uploaded file was only partially uploaded.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_4_label(){
	return __('No file was uploaded.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_5_label(){
	return __('Missing a temporary folder.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_6_label(){
	return __('Failed to write file to disk.', 'wpcargo-shipment-rate' );
}
function wpcsr_phperror_7_label(){
	return __('A PHP extension stopped the file upload.', 'wpcargo-shipment-rate' );
}
function wpcsr_get_insurance_coverage_shortcode(){
	return __('{insurance_coverage}', 'wpcargo-shipment-rate');
}
function wpcsr_quote_book_label(){
	return apply_filters( 'wpcsr_quote_book_label', __('Quote & Book', 'wpcargo-shipment-rate' ) );
}
function wpcsr_add_package_label(){
	return apply_filters( 'wpcsr_add_package_label', __('Add Package', 'wpcargo-shipment-rate' ) );
}
function wpcsr_package_qty_label(){
	return apply_filters( 'wpcsr_package_qty_label', __('Package Qty.', 'wpcargo-shipment-rate' ) );
}
function wpcsr_pickup_label(){
	return apply_filters( 'wpcsr_delivery_method_pickup', __( 'Pickup', 'wpcargo-shipment-rate' ) );
}
function wpcsr_pickup_rate_label(){
	return apply_filters( 'wpcsr_pickup_rate', __( 'Pickup Rate', 'wpcargo-shipment-rate' ) );
}
function wpcsr_dropoff_label(){
	return apply_filters( 'wpcsr_delivery_method_dropoff', __( 'Drop Off', 'wpcargo-shipment-rate' ) );
}
function wpcsr_enter_delivery_method_label(){
	return apply_filters( 'wpcsr_enter_delivery_method', __( 'Enter Delivery Method', 'wpcargo-shipment-rate' ) );
}
function wpcsr_delivery_method_label(){
	return apply_filters( 'wpcsr_delivery_method', __( 'Delivery Method', 'wpcargo-shipment-rate' ) );
}
function wpcsr_cheating_dependent_label(){
	return __('Cheating, uh?', 'wpcargo-shipment-rate' );
}
// Dimension
function wpcsr_tax_label(){
    return apply_filters( 'wpcsr_tax_label', __('Tax', 'wpcargo-shipment-rate' ) );
}
function wpcsr_rate_label(){
    return apply_filters( 'wpcsr_rate_label', __('Rate', 'wpcargo-shipment-rate' ) );
}
function wpcsr_find_rate_label(){
    return apply_filters( 'wpcsr_find_rate_label', __('Find Rate', 'wpcargo-shipment-rate' ) );
}
function wpcsr_packages_label(){
    return apply_filters( 'wpcsr_packages_label', __('Packages', 'wpcargo-shipment-rate' ) );
}
function wpcsr_qty_label(){
    return apply_filters( 'wpcsr_qty_label', __('Qty', 'wpcargo-shipment-rate' ) );
}
function wpcsr_weight_label(){
    return apply_filters( 'wpcsr_weight_label', __('Weight', 'wpcargo-shipment-rate' ) );
}
function wpcsr_declared_weight_label(){
    return apply_filters( 'wpcsr_declared_weight_label', __('Declared Weight', 'wpcargo-shipment-rate' ) );
}
function wpcsr_actual_weight_label(){
	return apply_filters( 'wpcsr_actual_weight_label', __('Actual Weight', 'wpcargo-shipment-rate' ) );
}
function wpcsr_length_label(){
    return apply_filters( 'wpcsr_length_label', __('Length', 'wpcargo-shipment-rate' ) );
}
function wpcsr_width_label(){
    return apply_filters( 'wpcsr_width_label', __('Width', 'wpcargo-shipment-rate' ) );
}
function wpcsr_height_label(){
    return apply_filters( 'wpcsr_height_label', __('Height', 'wpcargo-shipment-rate' ) );
}
function wpcsr_pcs_label(){
    return apply_filters( 'wpcsr_pcs_label', __('pcs', 'wpcargo-shipment-rate' ) );
}
function wpcsr_add_label(){
    return apply_filters( 'wpcsr_add_label', __('Add', 'wpcargo-shipment-rate' ) );
}
function wpcsr_delete_label(){
    return apply_filters( 'wpcsr_delete_label', __('Delete', 'wpcargo-shipment-rate' ) );
}
function wpcsr_add_new_label(){
    return apply_filters( 'wpcsr_add_new_label', __('Add New', 'wpcargo-shipment-rate' ) );
}
function wpcsr_total_label(){
    return apply_filters( 'wpcsr_total_label', __('Total', 'wpcargo-shipment-rate' ) );
}
function wpcsr_total_cost_label(){
    return apply_filters( 'wpcsr_total_cost_label', __('Total Cost', 'wpcargo-shipment-rate' ) );
}
function wpcsr_save_label(){
    return apply_filters( 'wpcsr_save_label', __('Save', 'wpcargo-shipment-rate' ) );
}
// Form Labels
function wpcsr_calculator_form_label(){
    return apply_filters( 'wpcsr_calculator_form_label', __('Shipping Calculator', 'wpcargo-shipment-rate' ) );
}
function wpcsr_collection_form_label(){
    return apply_filters( 'wpcsr_collection_form_label', __('Collection from', 'wpcargo-shipment-rate' ) );
}
function wpcsr_delivery_to_form_label(){
    return apply_filters( 'wpcsr_delivery_to_form_label', __('Delivery to', 'wpcargo-shipment-rate' ) );
}
function wpcsr_country_form_label(){
    return apply_filters( 'wpcsr_country_label', __('Country', 'wpcargo-shipment-rate' ) );
}
function wpcsr_no_location_form_label(){
    return apply_filters( 'wpcsr_no_location_form_label', __('No locations available', 'wpcargo-shipment-rate' ) );
}
function wpcsr_postcode_form_label(){
    return apply_filters( 'wpcsr_postcode_form_label', __('Postcode', 'wpcargo-shipment-rate' ) );
}
function wpcsr_package_type_form_label(){
    return apply_filters( 'wpcsr_package_type_form_label', __('Package Type', 'wpcargo-shipment-rate' ) );
}
function wpcsr_enter_parcel_form_label(){
    return apply_filters( 'wpcsr_enter_parcel_form_label', __('Please enter your parcel details', 'wpcargo-shipment-rate' ) );
}
// Registration
function wpcsr_firstname_form_label(){
    return apply_filters( 'wpcsr_firstname_form_label', __('First Name', 'wpcargo-shipment-rate' ) );
}
function wpcsr_lastname_form_label(){
    return apply_filters( 'wpcsr_lastname_form_label', __('Last Name', 'wpcargo-shipment-rate' ) );
}
function wpcsr_phone_form_label(){
    return apply_filters( 'wpcsr_phone_form_label', __('Phone', 'wpcargo-shipment-rate' ) );
}
function wpcsr_user_email_form_label(){
    return apply_filters( 'wpcsr_user_email_form_label', __('Username / E-mail', 'wpcargo-shipment-rate' ) );
}
function wpcsr_password_form_label(){
    return apply_filters( 'wpcsr_password_form_label', __('Password', 'wpcargo-shipment-rate' ) );
}
function wpcsr_confirm_password_form_label(){
    return apply_filters( 'wpcsr_confirm_password_form_label', __('Confirm Password', 'wpcargo-shipment-rate' ) );
}
function wpcsr_address_info_form_label(){
    return apply_filters( 'wpcsr_address_info_form_label', __('Address Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_company_form_label(){
    return apply_filters( 'wpcsr_company_form_label', __('Company', 'wpcargo-shipment-rate' ) );
}
function wpcsr_address1_label(){
    return apply_filters( 'wpcsr_address1_label', __('Address line 1', 'wpcargo-shipment-rate' ) );
}
function wpcsr_address2_label(){
    return apply_filters( 'wpcsr_address2_label', __('Address line 2', 'wpcargo-shipment-rate' ) );
}
function wpcsr_city_label(){
    return apply_filters( 'wpcsr_city_label', __('City', 'wpcargo-shipment-rate' ) );
}
function wpcsr_postcode_zip_label(){
    return apply_filters( 'wpcsr_postcode_zip_label', __('Postcode/ZIP', 'wpcargo-shipment-rate' ) );
}
function wpcsr_country_label(){
    return apply_filters( 'wpcsr_country_label', __('Country', 'wpcargo-shipment-rate' ) );
}
function wpcsr_select_country_label(){
    return apply_filters( 'wpcsr_select_country_label', __('Select Country', 'wpcargo-shipment-rate' ) );
}
function wpcsr_state_county_label(){
    return apply_filters( 'wpcsr_state_county_label', __('State/County', 'wpcargo-shipment-rate' ) );
}
function wpcsr_register_form_label(){
    return apply_filters( 'wpcsr_register_form_label', __('Registration Form', 'wpcargo-shipment-rate' ) );
}
function wpcsr_register_label(){
    return apply_filters( 'wpcsr_register_label', __('Register', 'wpcargo-shipment-rate' ) );
}
// Rate Result
function wpcsr_read_more_label(){
    return apply_filters( 'wpcsr_read_more_label', __('Read More', 'wpcargo-shipment-rate' ) );
}
function wpcsr_type_label(){
    return apply_filters( 'wpcsr_type_label', __('Type', 'wpcargo-shipment-rate' ) );
}
function wpcsr_description_label(){
    return apply_filters( 'wpcsr_description_label', __('Description', 'wpcargo-shipment-rate' ) );
}
function wpcsr_vat_labels(){
	global $wpcargo;
	return  abs($wpcargo->tax) > 0 ? wpcsr_inc_vat_label() : wpcsr_exc_vat_label() ;
}
function wpcsr_exc_vat_label(){
    return apply_filters( 'wpcsr_exc_vat_label', __('exc. VAT', 'wpcargo-shipment-rate' ) );
}
function wpcsr_inc_vat_label(){
    return apply_filters( 'wpcsr_inc_vat_label', __('inc. VAT', 'wpcargo-shipment-rate' ) );
}
// Rate Information
function wpcsr_rate_information_label(){
    return apply_filters( 'wpcsr_rate_information_label', __('Rate Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_rate_label(){
    return apply_filters( 'wpcsr_shipment_rate_label', __('Shipment Rate', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_rate_details_label(){
    return apply_filters( 'wpcsr_shipment_rate_details_label', __('Shipment Rate Details', 'wpcargo-shipment-rate' ) );
}
function wpcsr_payment_details_label(){
    return apply_filters( 'wpcsr_payment_details_label', __('Payment Details', 'wpcargo-shipment-rate' ) );
}
// Pickup Information
function wpcsr_dropoff_warehouse_address_label(){
    return apply_filters( 'wpcsr_dropoff_warehouse_address_label', __('Select Drop-off Warehouse Address', 'wpcargo-shipment-rate' ) );
}
function wpcsr_pickup_information_label(){
    return apply_filters( 'wpcsr_pickup_information_label', __('Pickup Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_pickup_address_label(){
    return apply_filters( 'wpcsr_pickup_address_label', __('Pickup Address', 'wpcargo-shipment-rate' ) );
}
function wpcsr_required_label(){
    return apply_filters( 'wpcsr_required_label', __('Required', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipper_information_label(){
    return apply_filters( 'wpcsr_shipper_information_label', __('Shipper Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_signin_here_label(){
    return apply_filters( 'wpcsr_signin_here_label', __('Sign in here', 'wpcargo-shipment-rate' ) );
}
function wpcsr_receiver_information_label(){
    return apply_filters( 'wpcsr_receiver_information_label', __('Receiver Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_information_label(){
    return apply_filters( 'wpcsr_shipment_information_label', __('Shipment Information', 'wpcargo-shipment-rate' ) );
}
function wpcsr_submit_order_label(){
    return apply_filters( 'wpcsr_submit_order_label', __('Submit Order', 'wpcargo-shipment-rate' ) );
}
function wpcsr_error_404_label(){
    return apply_filters( 'wpcsr_error_404_label', __('Error 400!', 'wpcargo-shipment-rate' ) );
}
function wpcsr_agreement_information_message(){
    return apply_filters( 'wpcsr_agreement_information_message', __('You must confirm you have read and agree to the prohibited & restricted items list.', 'wpcargo-shipment-rate' ) );
}
function wpcsr_agreement_checkbox_message(){
    return apply_filters( 'wpcsr_agreement_checkbox_message', __('I have read and agree to the prohibited & restricted items list', 'wpcargo-shipment-rate' ) );
}
// Admin ####
function wpcsr_warehouse_label(){
    return apply_filters( 'wpcsr_warehouse_label', __('Warehouse', 'wpcargo-shipment-rate' ) );
}
function wpcsr_warehouse_name_label(){
    return apply_filters( 'wpcsr_warehouse_name_label', __('Warehouse Name', 'wpcargo-shipment-rate' ) );
}
function wpcsr_shipment_zones_label(){
    return apply_filters( 'wpcsr_shipment_zones_label', __('Shipment Zones', 'wpcargo-shipment-rate' ) );
}
function wpcsr_zone_name_label(){
    return apply_filters( 'wpcsr_zone_name_label', __('Zone Name', 'wpcargo-shipment-rate' ) );
}
function wpcsr_no_location_found_label(){
    return apply_filters( 'wpcsr_no_location_found_label', __('No Location found', 'wpcargo-shipment-rate' ) );
}
function wpcsr_add_zone_found_label(){
    return apply_filters( 'wpcsr_add_zone_found_label', __('Add Zone', 'wpcargo-shipment-rate' ) );
}
// Parcel
function wpcsr_protection_covered_header( $rate_information ){
    return apply_filters( 'wpcsr_protection_covered_header', __( "What is Parcel Insurance and what's covered?", 'wpcargo-shipment-rate' ), $rate_information );
}
function wpcsr_parcel_subcharges_notice( $rate_information ){
    return apply_filters( 'wpcsr_parcel_subcharges_notice', __( "Please note that under-declaring your parcel's size or weight could result in additional surcharges.", 'wpcargo-shipment-rate' ), $rate_information );
}
function wpcsr_yes_protection_option( $rate_information ){
    return apply_filters( 'wpcsr_yes_protection_option_message', __( "Yes, I would like to protect my parcel against loss or damage.", 'wpcargo-shipment-rate' ), $rate_information );
}
function wpcsr_no_protection_option( $rate_information ){
    return apply_filters( 'wpcsr_no_protection_option_message', __( "No, I'm not willing to risk my parcel. I'm not worried about potential loss or damage.", 'wpcargo-shipment-rate' ), $rate_information );
}
function wpcsr_recommend_protection( $rate_information ){
    return apply_filters( 'wpcsr_recommend_protection_message', __( "We strongly recommend that you cover the full value of your item(s).", 'wpcargo-shipment-rate' ), $rate_information );
}
function wpcsr_protection_header( $rate_information ){
    return apply_filters( 'wpcsr_protection_header_message', __( "Get peace of mind. Protect your Delivery", 'wpcargo-shipment-rate' ), $rate_information ).' '.$rate_information->brand;
}
function wpcsr_protection_subheader( $rate_information ){
    return apply_filters( 'wpcsr_protection_subheader_message', __( "Don't get caught without insurance should the unexpected happen. You can protect your parcel up to this value.", 'wpcargo-shipment-rate' ), $rate_information ).' <strong class="text-info">('.format_wpcsr_currency($rate_information->coverage, true).')</strong>';
}
function wpcsr_license_helper_plugin_dependent_label(){
	return sprintf( 
		'%s <a href="%s" target="_blank">%s</a> %s',
		__('This plugin requires', 'wpcargo-shipment-rate'),
		'http://wpcargo.com/',
		__('WPTaskForce License Helper', 'wpcargo-shipment-rate'),
		__('plugin to be active!', 'wpcargo-shipment-rate')
	);
}
function wpcsr_wpcargo_plugin_dependent_label(){
	return sprintf( 
		'%s <a href="%s" target="_blank">WPCargo</a> %s',
		__('This plugin requires', 'wpcargo-shipment-rate'),
		'https://wordpress.org/plugins/wpcargo/',
		__('plugin to be active!', 'wpcargo-shipment-rate')
	);
}
function wpcsr_custom_field_dependent_label(){
	return sprintf( 
		'%s <strong>%s</strong> %s',
		__('This plugin requires', 'wpcargo-shipment-rate'),
		'WPCargo Custom Field Add-ons',
		__('plugin to be active!', 'wpcargo-shipment-rate')
	);
}
function wpcsr_activate_wpcfe_message(){
	return sprintf( 
		'%s <strong>%s</strong> %s',
		__('This plugin requires', 'wpcargo-shipment-rate'),
		'WPCargo Frontend Manager',
		__('plugin to be active!', 'wpcargo-shipment-rate')
	);
}
function wpcsr_woocommerce_dependent_label(){
	return sprintf( 
		'%s <strong>%s</strong> %s',
		__('This plugin requires', 'wpcargo-shipment-rate'),
		'Woocommerce',
		__('plugin to be active!', 'wpcargo-shipment-rate')
	);
}